<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.undertow.configuration.filter.expression-filter">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="expression,module"/>
        <elem name="addr-params" value="profile,subsystem,configuration,expression-filter"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <refs>
        <ref feature="subsystem.undertow.configuration.filter"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="expression"/>
        <param name="configuration" feature-id="true" default="filter"/>
        <param name="expression-filter" feature-id="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>